val vinylDust = <item:chemlib:polyvinyl_chloride_dust>;
val noFluid = <fluid:minecraft:empty>;
val vinylPlate = <item:chemlib:polyvinyl_chloride_plate>;

val vinteumDust = <item:mna:vinteum_dust>;
val heart = <item:reliquary:zombie_heart>;
val aceAcidBucket = <item:chemlib:acetic_acid_bucket>;
val ironSword = <item:minecraft:iron_sword>;
val trainStation = <item:create:track_station>;
val throwingCard = <item:conjurer_illager:throwing_card>;
val blackDye = <item:minecraft:black_dye>;
val checkerBlock = <item:supplementaries:checker_block>;
val advComputer = <item:computercraft:computer_advanced>;
val starfield = <item:botania:starfield>;
val homeLunch = <item:pamhc2foodextended:homestylelunchitem>;
val soulScythe = <item:malum:soul_stained_steel_scythe>;
val lichPattern = <item:twilightforest:lich_banner_pattern>;
val multiCycleInjector = <item:thermal:dynamo_fuel_augment>;
val jeweledApple = <item:tconstruct:jeweled_apple>;
val darkenedApple = <item:evilcraft:darkened_apple>;
val banana = <item:pamhc2trees:bananaitem>;
val antlers = <item:mysticalworld:antlers>;
val queenPattern = <item:twilightforest:snow_queen_banner_pattern>;
val teddyBear = <item:naturalist:teddy_bear>;
val netheriteCoin = <item:thermal:netherite_coin>;
val wanderingTrader = <item:minecraft:wandering_trader_spawn_egg>;
val whiteChocolate = <item:create_confectionery:white_chocolate_bucket>;
val rubyChocolate = <item:create_confectionery:ruby_chocolate_bucket>;
val otherworldGoggles = <item:occultism:otherworld_goggles>;

val giveyouup = <item:custommusicdiscs:giveyouup>;
val drAcidTunnel = <item:custommusicdiscs:deltarune_acid_tunnel>;
val drBattle = <item:custommusicdiscs:deltarune_battle>;
val drBerdlyChase = <item:custommusicdiscs:deltarune_berdly_chase>;
val drCastletown = <item:custommusicdiscs:deltarune_castletown>;
val drCastletownEmpty = <item:custommusicdiscs:deltarune_castletown_empty>;
val drCheckers = <item:custommusicdiscs:deltarune_checkers>;
val drCyber = <item:custommusicdiscs:deltarune_cyber>;
val drFieldOfHopes = <item:custommusicdiscs:deltarune_field_of_hopes>;
val drFriendship = <item:custommusicdiscs:deltarune_friendship>;
val drJoker = <item:custommusicdiscs:deltarune_joker>;
val drKingBoss = <item:custommusicdiscs:deltarune_kingboss>;
val drLancer= <item:custommusicdiscs:deltarune_lancer>;
val drLegend = <item:custommusicdiscs:deltarune_legend>;
val drMansion = <item:custommusicdiscs:deltarune_mansion>;
val drNoelleSchool= <item:custommusicdiscs:deltarune_noelle_school>;
val drQueenBoss = <item:custommusicdiscs:deltarune_queen_boss>;
val drShop1 = <item:custommusicdiscs:deltarune_shop1>;
val drSpamtonBattle = <item:custommusicdiscs:deltarune_spamton_battle>;
val drSpamtonMeeting = <item:custommusicdiscs:deltarune_spamton_meeting>;
val drSpamtonNeo = <item:custommusicdiscs:deltarune_spamton_neo>;
val drTheDarkTruth = <item:custommusicdiscs:deltarune_the_dark_truth>;

<recipetype:thermal:press>.addRecipe("thermal_polyvinyl_chloride_plate", [vinylPlate % -100.0], noFluid, [vinylDust*8], 2400);

mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_giveyouup", giveyouup, 50000, [heart, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_acid_tunnel", drAcidTunnel, 50000, [aceAcidBucket, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_battle", drBattle, 50000, [ironSword, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_berdly_chase", drBerdlyChase, 50000, [trainStation, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_castletown", drCastletown, 50000, [throwingCard, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_castletown_empty", drCastletownEmpty, 50000, [drCastletown, blackDye, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_checkers", drCheckers, 50000, [checkerBlock, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_cyber", drCyber, 50000, [advComputer, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_field_of_hopes", drFieldOfHopes, 50000, [starfield, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_friendship", drFriendship, 50000, [homeLunch, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_joker", drJoker, 50000, [soulScythe, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_kingboss", drKingBoss, 50000, [lichPattern, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_lancer", drLancer, 50000, [multiCycleInjector, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_legend", drLegend, 50000, [jeweledApple, darkenedApple, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_mansion", drMansion, 50000, [banana, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_noelle_school", drNoelleSchool, 50000, [antlers, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_queen_boss", drQueenBoss, 50000, [queenPattern, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_shop1", drShop1, 50000, [teddyBear, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_spamton_battle", drSpamtonBattle, 50000, [netheriteCoin, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_spamton_meeting", drSpamtonMeeting, 50000, [wanderingTrader, vinylPlate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_spamton_neo", drSpamtonNeo, 50000, [drSpamtonBattle, whiteChocolate, rubyChocolate, vinteumDust]);
mods.extendedcrafting.CombinationCrafting.addRecipe("custommusicdiscs_deltarune_the_dark_truth", drTheDarkTruth, 50000, [otherworldGoggles, vinylPlate, vinteumDust]);

// Script written by FoxMcloud5655